Skip to main content

Calculate US and Canadian Tax


US and Canadian Tax Calculation

The tax calculation service determines the applicable sales tax or use tax rates for US and Canadian orders based on the customer's billing or shipping address and your nexus locations. When the tax calculation service succeeds, the response includes a tax amount for each item and indicates whether the tax amount was calculated by the tax calculation service or provided by you.

POST /vas/v2/tax

POST /vas/v2/tax

POST /vas/v2/tax


Example: Processing a US Tax Calculation

{  "clientReferenceInformation": {    "code": "TAX_TC001"  },  "taxInformation": {    "nexus": ["CA", "TX", "AL"],    "showTaxPerLineItem": "Yes"  },  "orderInformation": {    "amountDetails": {      "currency": "USD"    },    "billTo": {      "address1": "1 Market St",      "locality": "San Francisco",      "administrativeArea": "CA",      "postalCode": 94105,      "country": "US"    },    "lineItems": [      {        "productSKU": "07-12-00657",        "productCode": "PO000000",        "quantity": 1,        "productName": "Chewing Gum",        "unitPrice": 1200      }    ]  }}
{  "_links": {    "void": {      "method": "PATCH",      "href": "/vas/v2/tax/6679349380866991503954"    }  },  "clientReferenceInformation": {    "code": "TAX_TC001"  },  "id": "6679349380866991503954",  "orderInformation": {    "lineItems": [      {        "taxableAmount": "1200.00",        "taxDetails": [          { "amount": "0.00", "type": "city" },          { "amount": "28.50", "type": "special" },          { "amount": "72.00", "type": "state" },          { "amount": "3.00", "type": "county" },          { "amount": "0.00", "type": "national" }        ],        "jurisdiction": [          {            "country": "US",            "code": "06",            "taxable": "1200.00",            "rate": "0.060000",            "name": "CALIFORNIA",            "type": "State",            "region": "CA",            "taxAmount": "72.00",            "taxName": "CA STATE TAX"          },          {            "country": "US",            "code": "075",            "taxable": "1200.00",            "rate": "0.002500",            "name": "SAN FRANCISCO",            "type": "County",            "region": "CA",            "taxAmount": "3.00",            "taxName": "CA COUNTY TAX"          },          {            "country": "US",            "code": "EMBE0",            "taxable": "1200.00",            "rate": "0.013750",            "name": "SAN FRANCISCO COUNTY DISTRICT TAX SP",            "type": "Special",            "region": "CA",            "taxAmount": "16.50",            "taxName": "CA SPECIAL TAX"          },          {            "country": "US",            "code": "EMTV0",            "taxable": "1200.00",            "rate": "0.010000",            "name": "SAN FRANCISCO CO LOCAL TAX SL",            "type": "Special",            "region": "CA",            "taxAmount": "12.00",            "taxName": "CA SPECIAL TAX"          }        ],        "exemptAmount": "0.00",        "taxAmount": "103.50"      }    ],    "taxableAmount": "1200.00",    "taxDetails": [      { "amount": "28.50", "type": "special" },      { "amount": "72.00", "type": "state" },      { "amount": "0.00", "type": "national" },      { "amount": "3.00", "type": "county" },      { "amount": "0.00", "type": "city" }    ],    "exemptAmount": "0.00",    "taxAmount": "103.50",    "amountDetails": {      "totalAmount": "1303.50",      "currency": "USD"    }  },  "status": "COMPLETED",  "submitTimeUtc": "2022-11-08T19:15:38Z",  "taxInformation": {    "commitIndicator": "false",    "refundIndicator": "false"  }}

Required Fields

Select from these required fields to perform a tax calculation.

orderInformation.billTo.administrativeArea

State or province of the billing address.

orderInformation.billTo.country

Country of the billing address.

orderInformation.billTo.locality

City or locality of the billing address.

orderInformation.billTo.postalCode

Postal code of the billing address.

orderInformation.lineItems.unitPrice

Unit price of the line item.

taxInformation.nexus

Specify the states in which you have nexus. If you include this field, do not include the taxInformation.noNexus field.

taxInformation.noNexus

Specify the states in which you do not have nexus. If you include this field, do not include the taxInformation.nexus field.

taxInformation.showTaxPerLineItem

Indicates whether to return tax amounts per line item in the response.


Optional Fields

Select from these optional fields to perform a tax calculation.

clientReferenceInformation.code

Merchant-generated order reference or tracking number.

clientReferenceInformation.partner.developerId

Identifier for the developer.

clientReferenceInformation.partner.solutionId

Identifier for the partner solution.

orderInformation.amountDetails.currency

Currency used for the order.

orderInformation.billTo.address1

First line of the billing address.

orderInformation.billTo.address2

Second line of the billing address.

orderInformation.invoiceDetails.invoiceDate

Date of the invoice. Use to apply a specific date's tax rate.

orderInformation.lineItems.orderAcceptance.administrativeArea

Administrative area where the order was accepted at the line item level.

orderInformation.lineItems.orderAcceptance.country

Country where the order was accepted at the line item level.

orderInformation.lineItems.orderAcceptance.locality

Locality where the order was accepted at the line item level.

orderInformation.lineItems.orderAcceptance.postalCode

Postal code where the order was accepted at the line item level.

orderInformation.lineItems.orderOrigin.administrativeArea

Administrative area of the order origin at the line item level.

orderInformation.lineItems.orderOrigin.country

Country of the order origin at the line item level.

orderInformation.lineItems.orderOrigin.locality

Locality of the order origin at the line item level.

orderInformation.lineItems.orderOrigin.postalCode

Postal code of the order origin at the line item level.

orderInformation.lineItems.productCode

Tax product code for the line item.

orderInformation.lineItems.productName

Name of the product at the line item level.

orderInformation.lineItems.productSku

SKU of the product at the line item level.

orderInformation.lineItems.quantity

Quantity of the product at the line item level.

orderInformation.lineItems.shipFromAdministrativeArea

Administrative area from which the item ships.

orderInformation.lineItems.shipFromCountry

Country from which the item ships.

orderInformation.lineItems.shipFromLocality

Locality from which the item ships.

orderInformation.lineItems.shipFromPostalCode

Postal code from which the item ships.

orderInformation.lineItems.taxAmount

Tax amount for the line item.

orderInformation.orderAcceptance.administrativeArea

Administrative area where the order was accepted at the order level.

orderInformation.orderAcceptance.country

Country where the order was accepted at the order level.

orderInformation.orderAcceptance.locality

Locality where the order was accepted at the order level.

orderInformation.orderAcceptance.postalCode

Postal code where the order was accepted at the order level.

orderInformation.orderOrigin.administrativeArea

Administrative area of the order origin at the order level.

orderInformation.orderOrigin.country

Country of the order origin at the order level.

orderInformation.orderOrigin.locality

Locality of the order origin at the order level.

orderInformation.orderOrigin.postalCode

Postal code of the order origin at the order level.

orderInformation.shippingDetails.shipFromAdministrativeArea

Administrative area from which the shipment originates at the order level.

orderInformation.shippingDetails.shipFromCountry

Country from which the shipment originates at the order level.

orderInformation.shippingDetails.shipFromLocality

Locality from which the shipment originates at the order level.

orderInformation.shippingDetails.shipFromPostalCode

Postal code from which the shipment originates at the order level.

orderInformation.shipTo.address1

First line of the shipping address.

orderInformation.shipTo.address2

Second line of the shipping address.

orderInformation.shipTo.address3

Third line of the shipping address.

orderInformation.shipTo.administrativeArea

State or province of the shipping address.

orderInformation.shipTo.country

Country of the shipping address.

orderInformation.shipTo.locality

City or locality of the shipping address.

orderInformation.shipTo.postalCode

Postal code of the shipping address.

taxInformation.commitIndicator

Set field to true to commit tax calculation.

taxInformation.dateOverrideReason

Reason for overriding the reporting date.

taxInformation.refundIndicator

Set to true to indicate a refund tax calculation.

taxInformation.reportingDate

Date to use for reporting purposes.

Last published: September 29, 2026